CROSSBAR(1)

NAME
crossbar - microservices router

SYNOPSIS
usage: crossbar [-h] [--debug-lifecycle] [--debug-programflow] command

DESCRIPTION
Crossbar.io is a multi-protocol (WAMP/WebSocket, REST/HTTP, MQTT) application router for microservices.

  commands:

init
    Initialize a new Crossbar.io node.

start
    Start a Crossbar.io node.

stop
    Stop a Crossbar.io node.

status
    Checks whether a Crossbar.io node is running.

check
    Check a Crossbar.io node`s local configuration file.

convert
    Convert a Crossbar.io node`s local configuration file from JSON to YAML or vice versa.

upgrade
    Upgrade a Crossbar.io node`s local configuration file to current configuration file format.

keygen
    Generate public/private keypairs for use with autobahn.wamp.cryptobox.KeyRing

keys
    Print Crossbar.io release and node key (public key part by default).

version
    Print software versions.

legal
    Print legal and licensing information.

_exec_worker
    Program internal use.

OPTIONS

-h, --help
    show this help message and exit

--debug-lifecycle
    This debug flag enables overall program lifecycle messages directly to terminal.

--debug-programflow
    This debug flag enables program flow log messages with fully qualified class/method names.